# Poco::Net

# class IdleNotification

Library: Net
Package: Reactor
Header: Poco/Net/SocketNotification.h

## Description

This notification is sent when the SocketReactor does not have any sockets to react to.

## Inheritance

Direct Base Classes: SocketNotification

All Base Classes: SocketNotification, Poco::Notification, Poco::RefCountedObject

## Member Summary

Inherited Functions: duplicate, name, referenceCount, release, socket, source

## Constructors

### IdleNotification

IdleNotification(
SocketReactor * pReactor
);

Creates the IdleNotification for the given SocketReactor.

## Destructor

### ~IdleNotification

~IdleNotification();

Destroys the IdleNotification.